Bug 1302927 - nouveau drivers with optimus configuration causes black screen when loading fedora
nouveau drivers with optimus configuration causes black screen when loading f...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 21:11 EST by robinsonj56
Modified: 2016-03-08 02:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-07 18:08:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journalctl boot log (431.82 KB, text/x-vhdl)
2016-01-28 21:11 EST, robinsonj56
no flags Details

  None (edit)
Description robinsonj56 2016-01-28 21:11:17 EST
Created attachment 1119324 [details]
journalctl boot log

Description of problem:
With nomodeset in the grub entry it boots just fine with vmware (I think) Gallium3d drivers. If I boot without nomodeset in the grub entry, the system will boot to a black screen without showing the fedora loading icon or anything. If I tap the power button the laptop goes to sleep. If I press the power button again, it wakes up and uses the Intel graphics drivers drivers.

When I live booted Fedora to install it, I had to use nomodeset or I would see something like "nouveau sched_error" spammed while booting followed by Fedora hanging at the loading screen. This is the main reason I think the nouveau driver is responsible.

I have also been unable to get the bumblebee-nvidia software or the nvidia proprietary drivers to work either of which would be ideal.

I'm attaching the "journalctl -b" log to this report.

How reproducible:
Every boot without nomodeset in the grub entry

Steps to Reproduce:
1. Turn the laptop on
2. Boot without nomodeset
3. System hangs with black screen
4. Tap power button
5. Wait for computer to go to sleep
6. Press power button again and it should eventually show the fedora lock screen

Actual results:
Black screen and hang immediately after telling grub to boot Fedora 23. A subsequent sleep-wake cycle forces Intel drivers to work.

Expected results:
Either:
a) Nouveau drivers work without a problem and I can use the graphics card.
b) Get proprietary drivers working.
c) I can boot to the Intel driver without putting the laptop to sleep bypassing nouveau.

Additional info:
I am running this on a week old Dell XPS 15 (9550) Intel i7 (Skylake) with a 4k screen and a Nvidia 960m dedicated graphics card (Optimus).
Comment 1 robinsonj56 2016-01-29 02:31:31 EST
I had to reboot to double check, but adding nomodeset does indeed use the vmware gallium3d drivers.
Comment 2 robinsonj56 2016-03-07 18:08:07 EST
A recent update to the Nouveau drivers fixed the problem.

Note You need to log in before you can comment on or make changes to this bug.